### Enumeration

# Vips Coding

#### Declaration

    enum Vips.Coding

#### Description [src]

How pixels are coded.

Normally, pixels are uncoded and can be manipulated as you would expect. However some file formats code pixels for compression, and sometimes it’s useful to be able to manipulate images in the coded format.

The gaps in the numbering are historical and must be maintained. Allocate new numbers from the end.

#### Members

`VIPS_CODING_ERROR`

  No description available.

  - Value: `-1`
  - Available since: 8.0
`VIPS_CODING_NONE`

  Pixels are not coded.

  - Value: `0`
  - Available since: 8.0
`VIPS_CODING_LABQ`

  Pixels encode 3 float CIELAB values as 4 uchar.

  - Value: `2`
  - Available since: 8.0
`VIPS_CODING_RAD`

  Pixels encode 3 float RGB as 4 uchar (Radiance coding).

  - Value: `6`
  - Available since: 8.0